POST
/pipeline/delete
const url = 'https://example.com/api/v0/pipeline/delete';const options = { method: 'POST', headers: {'X-Tenzir-Token': '<X-Tenzir-Token>', 'Content-Type': 'application/json'}, body: '{"id":"4c7f2b11-6169-4d1b-89b4-4fc0a68b3d4a"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v0/pipeline/delete \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-Token: <X-Tenzir-Token>' \ --data '{ "id": "4c7f2b11-6169-4d1b-89b4-4fc0a68b3d4a" }'Deletes a pipeline by ID.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Body for the delete endpoint
Media type application/json
object
id
required
The id of the pipeline to be deleted.
string
Example
4c7f2b11-6169-4d1b-89b4-4fc0a68b3d4aResponses
Section titled “ Responses ”The pipeline was deleted.
Media type application/json
object
Example
{}Invalid arguments.
Media type application/json
object
error
required
The error message.
string
Example
{ "error": "Invalid arguments"}